OpenGL-2.8.0.0: A binding for the OpenGL graphics system

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de
Safe Haskell | None

Graphics.Rendering.OpenGL.GL.RasterPos

Description

This module corresponds to section 2.13 (Current Raster Position) of the OpenGL 2.1 specs.

# Documentation

currentRasterPosition :: StateVar (Vertex4 GLfloat)Source

class RasterPosComponent a Source

Instances

RasterPosComponent GLdouble |
RasterPosComponent GLfloat |
RasterPosComponent GLint |
RasterPosComponent GLshort |

class RasterPos a where Source

Methods

rasterPos :: a -> IO ()Source

rasterPosv :: Ptr a -> IO ()Source

Instances

RasterPosComponent a => RasterPos (Vertex4 a) |
RasterPosComponent a => RasterPos (Vertex3 a) |
RasterPosComponent a => RasterPos (Vertex2 a) |

class WindowPosComponent a Source

Instances

WindowPosComponent GLdouble |
WindowPosComponent GLfloat |
WindowPosComponent GLint |
WindowPosComponent GLshort |

class WindowPos a where Source

Methods

windowPos :: a -> IO ()Source

windowPosv :: Ptr a -> IO ()Source

Instances

WindowPosComponent a => WindowPos (Vertex3 a) |
WindowPosComponent a => WindowPos (Vertex2 a) |

currentRasterDistance :: GettableStateVar GLfloat Source

currentRasterColor :: GettableStateVar (Color4 GLfloat)Source

currentRasterSecondaryColor :: GettableStateVar (Color4 GLfloat)Source

currentRasterIndex :: GettableStateVar (Index1 GLint)Source

currentRasterTexCoords :: GettableStateVar (TexCoord4 GLfloat)Source

currentRasterPositionValid :: GettableStateVar Bool Source

rasterPositionUnclipped :: StateVar Capability Source